<?php
require $_SERVER['DOCUMENT_ROOT'] . '/hethong/config.php';
$url = antixss($_POST['url']);
$interval_seconds = antixss($_POST['interval_seconds']);
$server_cron = antixss($_POST['server_cron']);
$now = time();
$date = date('h:i d-m-Y', $now);
$days_to_add = '30';
$het = $now;
$het += $days_to_add * 24 * 60 * 60;

if($username==""){
    $response = array('success' => false, 'message' => 'Đăng nhập để thực hiện tính năng này');
}elseif ($_POST['url'] == '' || $_POST['interval_seconds'] == '' || $_POST['server_cron'] == '') {
       $response =  array('success' => false, 'message' => 'Vui lòng nhập đầy đủ thông tin');
} else {
    $sv_cron = $ketnoi->query("SELECT * FROM `list_server_cron` WHERE `name_cron` = '$server_cron' ")->fetch_array();
    if(isset($sv_cron)){
        if ($user['money'] < $sv_cron['money']) {
               $response =  array('success' => false, 'message' => 'Số dư tài khoản không đủ');
        }elseif(!is_numeric($interval_seconds)){
               $response =  array('success' => false, 'message' => 'Vui lòng nhập giá trị là số');
        }elseif($interval_seconds < $sv_cron['min_time']){
               $response =  array('success' => false, 'message' => 'Số giây tối thiểu là '.$sv_cron['min_time']);
        }else {
                if (!empty($url) && filter_var($url, FILTER_VALIDATE_URL)) {
                $idcron = $sv_cron['id'];
                $sql = $ketnoi->query("INSERT INTO `list_cron` SET 
                `username` = '$username',
                `server_cron` = '$idcron',
                `url` = '$url',
                `interval_seconds` = '$interval_seconds',
                `status` = 'ON',	
                `error_count` = '0',	
                `last_cron` = '$now',
                `ngay_mua` = '$now',
                `ngay_het` = '$het' ");
                sendTele(" Tài Khoản ".$username." | Đã Thuê Cron Sever ".$idcron." | Tốc Độ ".$interval_seconds." | Với Giá ".$sv_cron['money']." | Link Cron ".$url);
                if ($sql) {
                    $newmoney = $user['money'] - $sv_cron['money'];
                    $check_money = $ketnoi->query("UPDATE `users` SET `money` = '$newmoney' WHERE `username` = '" . $username . "'");
                    if ($check_money) {
                        $response = array('success' => true);
                    }
                }
            } else {
                  $response =  array('success' => false, 'message' => 'Liên kết không chính xác');
            }
        }
    }else{
          $response =  array('success' => false, 'message' => 'Server cron không tồn tại');
    }
}

echo json_encode($response);
?>